<div ng-cloak>

    <div ng-switch="vm.isAuthenticated()">
        <div ng-switch-when="false">



            <div class="row">

                    <h1  style="text-align:center"> Herramienta para la consulta de probióticos según la patología o tratamiento actual del paciente</h1>

            </div>
            <br>
            <div class="row">
                <img  class="center" src="content/images/prob-2.jpg" alt="logo"/>

            </div>


            <hr class="linea">


            <div class="row">
                <div class="col-md-6">
                    <div class="text-uppercase">
                        <h3 class="htop"><b data-translate="home.pathologies"> </b></h3>
                    </div>
                </div>

                <div class="col-md-6">

                    <div class="btn-group ">
                        <select class="btn grey-background" type="button" ng-model="vm.selectedOption"
                                ng-init="vm.selectedOption='0'"
                                required>
                            <option selected value="0" data-translate="home.pathologytype"></option>
                            <option ng-repeat="type in vm.pathologytypes" value="{{type.id}}"> {{type.name}}
                            </option>
                        </select>
                    </div>

                </div>
            </div>

            <hr class="linea">

            <div class="form-check">
                <div ng-repeat="pathologytype in vm.pathologytypes track by pathologytype.id"
                     ng-show="vm.selectedOption == pathologytype.id || (vm.selectedOption == 0 && pathologytype.id)">
                    <div class="row">
                        <div class="col-md-12">
                            <h3 class="pathology"><u>{{pathologytype.name}}</u></h3>
                        </div>
                    </div>
                    <div ng-repeat="pathology in pathologytype.pathologies track by pathology.id"
                         class="col-md-6 action-checkbox">
                        <input class="form-check-input" id="pathology-{{pathology.id}}" type="checkbox"
                               value="{{pathologdy.id}}" ng-click="vm.currentSelection(pathology.id)">
                        <label class="form-check-label" for="pathology-{{pathology.id}}">
                            {{pathology.name}}
                        </label>
                        </input>
                    </div>
                </div>
            </div>


            <div class="row">
                <div class="col-md-12">
                    <hr class="linea">
                    <button type="submit" ui-sref="pathology-info({id:vm.selection})" class="btn btn-primary">
                        <span class="glyphicon glyphicon-search"></span>
                        <span data-translate="home.find"></span>
                    </button>
                </div>
            </div>
        </div>


        <div ng-switch-when="true">

            <div has-authority="ROLE_ADMIN">
                <div class="row">
                    <div class="col-md-6">
                        <span ui-sref="pathologytype" class="thumbnail text-center">
                            <h3 data-translate="global.menu.entities.pathologytype"></h3>
                        </span>
                    </div>

                    <div class="col-md-6">
                        <span ui-sref="evidencetype" class="thumbnail text-center">
                            <h3 data-translate="global.menu.entities.evidencetype"></h3>
                        </span>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <span ui-sref="allergens" class="thumbnail text-center">
                            <h3 data-translate="global.menu.entities.allergens"></h3>
                        </span>
                    </div>

                    <div class="col-md-6">
                        <span ui-sref="doseform" class="thumbnail text-center">
                            <h3 data-translate="global.menu.entities.doseform"></h3>
                        </span>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <span ui-sref="probiotic" class="thumbnail text-center">
                        <h3 data-translate="global.menu.entities.probiotic"></h3>
                    </span>
                </div>

                <div class="col-md-6">
                    <span ui-sref="pathology" class="thumbnail text-center">
                        <h3 data-translate="global.menu.entities.pathology"></h3>
                    </span>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <span ui-sref="strain" class="thumbnail text-center">
                        <h3 data-translate="global.menu.entities.strain"></h3>
                    </span>
                </div>

                <div class="col-md-6">
                    <span ui-sref="evidencereferences" class="thumbnail text-center">
                        <h3 data-translate="global.menu.entities.evidencereferences"></h3>
                    </span>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <span ui-sref="evidence" class="thumbnail text-center">
                        <h3 data-translate="global.menu.entities.evidence"></h3>
                    </span>
                </div>
            </div>


        </div>

    </div>
</div>


